### Method

# Gtk TreeViewconvert_widget_to_tree_coords

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_convert_widget_to_tree_coords (
      GtkTreeView* tree_view,
      int wx,
      int wy,
      int* tx,
      int* ty
    )

#### Description [src]

Converts widget coordinates to coordinates for the tree (the full scrollable area of the tree).

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`wx`

  Type: `int`

  X coordinate relative to the widget.

`wy`

  Type: `int`

  Y coordinate relative to the widget.

`tx`

  Type: `int*`

  Return location for tree X coordinate.

  The argument will be set by the function.

`ty`

  Type: `int*`

  Return location for tree Y coordinate.

  The argument will be set by the function.